Name: ca_policy_igtf
Version: 1.134
Release: 1
Source: ca_policy_igtf-1.134.tar.gz
License: IGTF Federation
Prefix: /etc/grid-security/certificates
Group: Security/Certificates
BuildRoot: %{_tmppath}/%{name}-root
BuildArch: noarch
AutoReqProv: no

Summary: Trust anchors production-level collection policy for the IGTF
URL: http://www.gridpma.org/
Requires: ca_policy_igtf-classic = 1.134

%prep
%setup -n ca_policy_igtf-1.134

%description
This collection represent the current set of accredited authorities
by the International Grid Trust Federation member PMAs, that meet the 
production qualify Authentication Profiles. This includes the "classic" 
profile.

%build

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/etc/grid-security/certificates

cp -pr * $RPM_BUILD_ROOT/etc/grid-security/certificates/
# clean up files that should not be packaged (experimental/unaccredited info)
for pname in experimental unaccredited discontinued suspended
do
  rm -f $RPM_BUILD_ROOT/etc/grid-security/certificates/policy-igtf-$pname.info || true
done

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root)
/etc/grid-security/certificates/policy-igtf.info


%package classic
Summary: Classic X.509 CA collection policy for the IGTF
URL: http://www.gridpma.org/
Group: Security/Certificates
AutoReqProv: no
Requires: ca_ResearchandEducationTrustRSARootCA = 1.134, ca_HARICAOVTLSECC = 1.134, ca_DCAROOT-G1 = 1.134, ca_BG-ACAD-CA = 1.134, ca_ArmeSFo = 1.134, ca_InCommon-RSA-IGTF-Server-CA-3 = 1.134, ca_UKeScienceRoot-2007 = 1.134, ca_CERN-Root-2 = 1.134, ca_HARICATLSRSARootCA2021 = 1.134, ca_KEK = 1.134, ca_emigtfc5 = 1.134, ca_eMudhra-TrustedRootCAC5 = 1.134, ca_UNAMgrid-ca = 1.134, ca_HellenicAcademicandResearchInstitutionsECCRootCA2015 = 1.134, ca_SiGNET-CA = 1.134, ca_DigiCertGridRootCA-Root = 1.134, ca_RDIG = 1.134, ca_IGCA2 = 1.134, ca_CESNET-CA-4 = 1.134, ca_ResearchandEducationTrustECCRootCA = 1.134, ca_emSignSSLCAG1 = 1.134, ca_PK-Grid-2007 = 1.134, ca_HARICAGEANTTLSECC1 = 1.134, ca_GEANTeScienceSSLCA4 = 1.134, ca_TRGrid2024 = 1.134, ca_DZeScience = 1.134, ca_TRGrid = 1.134, ca_CESNET-CA-Root = 1.134, ca_ASGCCA-2007 = 1.134, ca_PKIUNAMgrid = 1.134, ca_DFN-GridGermany-Root = 1.134, ca_DigiCertAssuredIDRootCA-Root = 1.134, ca_IHEP-2013 = 1.134, ca_MaGrid = 1.134, ca_PolishGrid-2019 = 1.134, ca_RomanianGRID = 1.134, ca_NIKHEF = 1.134, ca_UGRID-G2 = 1.134, ca_HellenicAcademicandResearchInstitutionsRootCA2015 = 1.134, ca_MREN-CA = 1.134, ca_seegrid-ca-2013 = 1.134, ca_NorduGrid-2015 = 1.134, ca_SRCE = 1.134, ca_GEANTeScienceSSLECCCA4 = 1.134, ca_DigiCertGridCA-1G2-Classic-2015 = 1.134, ca_IRAN-GRID-GCG-G2 = 1.134, ca_HellasGrid-CA-2016 = 1.134, ca_GEANTTCSRETrustECCRootCA5 = 1.134, ca_emSignRootCAG1 = 1.134, ca_HARICATLSECCRootCA2021 = 1.134, ca_emigtfc4 = 1.134, ca_emSignClass1CAG1 = 1.134, ca_eMudhra-TrustedRootCAC4 = 1.134, ca_emigtfc5r1 = 1.134, ca_GridCanada = 1.134, ca_SlovakGrid = 1.134, ca_UKeScienceCA-2B = 1.134, ca_DigiCert-Assured-ID-Grid-TLS-RSA2048-SHA256-2022-CA1 = 1.134, ca_ANSPGridCA2 = 1.134, ca_REUNA-ca = 1.134, ca_HARICAGEANTTLSRSA1 = 1.134, ca_USERTrustECCCertificationAuthority = 1.134, ca_DigiCert-Assured-ID-Grid-Client-RSA2048-SHA256-2022-CA1 = 1.134, ca_HARICAOVTLSRSA = 1.134, ca_GEANTTCSRETrustRSARootCA5 = 1.134, ca_CERN-GridCA = 1.134, ca_USERTrustRSACertificationAuthority = 1.134, ca_DigiCertGridTrustCAG2-Classic = 1.134, ca_KISTIv3 = 1.134
Obsoletes: ca_CyGrid-old <= 1.134 ca_CNRS-DataGrid <= 1.134 ca_CESNET-old <= 1.134 ca_SwissSign-Silver-Root <= 1.134 ca_SWITCH-Personal2 <= 1.134 ca_SWITCH-CA2 <= 1.134 ca_SWITCH-Server2 <= 1.134 ca_KISTI <= 1.134 ca_Russia <= 1.134 ca_SWITCH-Server <= 1.134 ca_SWITCH-Personal <= 1.134 ca_LIP <= 1.134 ca_GridCanada-old <= 1.134 ca_UKeScience <= 1.134 ca_HellasGrid <= 1.134 ca_INFN <= 1.134 ca_Spain <= 1.134 ca_SiGNET <= 1.134 ca_CERN <= 1.134 ca_SWITCH-Personal-2006 <= 1.134 ca_SWITCH-Server-2006 <= 1.134 ca_ASGCCA <= 1.134 ca_UKeScienceRoot <= 1.134 ca_UKeScienceCA <= 1.134 ca_PK-Grid <= 1.134 ca_EstonianGrid <= 1.134 ca_DFN-GridGermany-User <= 1.134 ca_DFN-GridGermany-Server <= 1.134 ca_BEGrid <= 1.134 ca_SWITCH-Personal-2007 <= 1.134 ca_SwissSign-Root <= 1.134 ca_SWITCH <= 1.134 ca_SwissSign-Bronze <= 1.134 ca_SwissSign-Silver <= 1.134 ca_SWITCH-Server-2007 <= 1.134 ca_RMKI <= 1.134 ca_CNRS <= 1.134 ca_CNRS-Projets <= 1.134 ca_CNRS-Grid-FR <= 1.134 ca_NGO-Netrust <= 1.134 ca_CESNET <= 1.134 ca_Grid-Ireland <= 1.134 ca_UKeScienceCA-2007 <= 1.134 ca_TACC-Classic <= 1.134 ca_TACC-Root <= 1.134 ca_IUCC <= 1.134 ca_AIST <= 1.134 ca_JUnet-CA <= 1.134 ca_SWITCHgrid-Root <= 1.134 ca_APAC <= 1.134 ca_DOEGrids <= 1.134 ca_ESnet <= 1.134 ca_IHEP <= 1.134 ca_SEE-GRID <= 1.134 ca_PRAGMA-UCSD <= 1.134 ca_SWITCH-QuoVadis-Grid-ICA <= 1.134 ca_ULAGrid-CA-2008 <= 1.134 ca_HIAST <= 1.134 ca_NCHC <= 1.134 ca_NIIF <= 1.134 ca_CERN-Root <= 1.134 ca_CERN-TCA <= 1.134 ca_NAREGI <= 1.134 ca_IRAN-GRID-G2 <= 1.134 ca_CALG <= 1.134 ca_BalticGrid <= 1.134 ca_DigiCertGridCA-1G2-Classic <= 1.134 ca_SDG <= 1.134 ca_NorduGrid <= 1.134 ca_BrGrid <= 1.134 ca_HellasGrid-Root <= 1.134 ca_HellasGrid-CA-2006 <= 1.134 ca_UniandesCA <= 1.134 ca_INFN-CA-2006 <= 1.134 ca_NECTEC <= 1.134 ca_BEGrid2008 <= 1.134 ca_UKeScienceCA-2A <= 1.134 ca_UTN-USERFirst-Hardware <= 1.134 ca_TERENA-eScience-SSL-CA <= 1.134 ca_AAACertificateServices <= 1.134 ca_UTNAAAClient <= 1.134 ca_TERENAeSciencePersonalCA <= 1.134 ca_UTN-USERTrust-RSA-CA <= 1.134 ca_TERENA-eScience-SSL-CA-2 <= 1.134 ca_TERENAeSciencePersonalCA2 <= 1.134 ca_KISTI-2007 <= 1.134 ca_LACGridCA <= 1.134 ca_pkIRISGrid <= 1.134 ca_UGRID <= 1.134 ca_IGCA <= 1.134 ca_QuoVadis-Grid-ICA <= 1.134 ca_MD-Grid <= 1.134 ca_EG-GRID <= 1.134 ca_IRAN-GRID <= 1.134 ca_HKU <= 1.134 ca_CyGrid <= 1.134 ca_cilogon-osg <= 1.134 ca_AustrianGrid <= 1.134 ca_CESNET-CA-3 <= 1.134 ca_AddTrust-External-CA-Root <= 1.134 ca_DarkMatterAssuredCA <= 1.134 ca_DarkMatterSecureCA <= 1.134 ca_PolishGrid <= 1.134 ca_DarkMatterPrivateRootCAG4 <= 1.134 ca_DarkMatterIGTFCA <= 1.134 ca_QuoVadis-Root-CA1 <= 1.134 ca_INFN-CA-2015 <= 1.134 ca_MYIFAM <= 1.134 ca_MD-Grid-CA-T <= 1.134 ca_CNRS2 <= 1.134 ca_CNRS2-Projets <= 1.134 ca_CNRS2-Grid-FR <= 1.134 ca_DigiCertGridTrustCA-Classic <= 1.134 ca_DigiCertGridCA-1-Classic <= 1.134 ca_NIIF-Root-CA-2 <= 1.134 ca_GermanGrid <= 1.134 ca_AEGIS <= 1.134 ca_KENETCA-ICA-2015 <= 1.134 ca_KENETROOTCA <= 1.134 ca_SDG-G2 <= 1.134 ca_CNIC <= 1.134 ca_DigitalTrustAssuredCAG3-runbytheissuer <= 1.134 ca_DigitalTrustAssuredCAG4-runbytheissuer <= 1.134 ca_DigitalTrustSecureCAG3-runbytheissuer <= 1.134 ca_DigitalTrustSecureCAG4-runbytheissuer <= 1.134 ca_UNLPGrid <= 1.134 ca_COMODO-RSA-CA <= 1.134 ca_InCommon-IGTF-Server-CA <= 1.134 ca_QuoVadis-Grid-ICA-G2 <= 1.134 ca_QuoVadis-Root-CA2G3 <= 1.134 ca_QuoVadis-Root-CA2 <= 1.134 ca_QuoVadis-Root-CA3G3 <= 1.134 ca_DigitalTrustPrivateRootCAG4 <= 1.134 ca_DigitalTrustIGTFCA <= 1.134 ca_LIPCA <= 1.134 ca_BYGCA <= 1.134 ca_TSU-GE <= 1.134 ca_HKU-CA-2 <= 1.134 ca_TERENA-eScience-SSL-CA-3 <= 1.134 ca_MARGI <= 1.134 ca_ANSPGrid <= 1.134 ca_AC-GRID-FR <= 1.134 ca_AC-GRID-FR-Personnels <= 1.134 ca_AC-GRID-FR-Robots <= 1.134 ca_AC-GRID-FR-Services <= 1.134


%description classic
This is the policy collection that contains all authorities 
accredited by the IGTF member PMAs according to the "classic" 
X.509 Certification Authorities with Secured Infrastructure Profile
Install this package if you are willing to trust CAs that are 
accredited by the the member PMAs under the "classic" profile.
Refer to the IGTF web site for the classic authentication profile.

%files classic
%defattr(644,root,root)
/etc/grid-security/certificates/policy-igtf-classic.info



%package slcs
Summary: Short-lived Credential Services collection policy for the IGTF
URL: http://www.gridpma.org/
Group: Security/Certificates
AutoReqProv: no
# temporarily no accredited SLCS anchors
#Requires: 
Obsoletes: ca_SWITCHslcs <= 1.134 ca_ncsa-gridshib-ca <= 1.134 ca_SWITCHslcs2011 <= 1.134 ca_NCSA-tfca <= 1.134 ca_NICS-MyProxy <= 1.134 ca_NCSA-slcs <= 1.134 ca_FNAL-SLCS <= 1.134 ca_DFN-SLCS <= 1.134 ca_NCSA-tfca-2013 <= 1.134 ca_NERSC-SLCS <= 1.134 ca_NCSA-slcs-2013 <= 1.134 ca_PSC-Myproxy-CA <= 1.134

%description slcs
This is the policy collection that contains all authorities 
accredited by the IGTF member PMAs according to the "slcs"
Short-lived Credential Generation Services Profile
Install this package if you are willing to trust CAs that are 
accredited by the the member PMAs under the "slcs" profile.
Refer to the IGTF web site for the slcs authentication profile.

%files slcs
%defattr(644,root,root)
/etc/grid-security/certificates/policy-igtf-slcs.info


%package mics
Summary: Member-Integrated Credential Services collection policy for the IGTF
URL: http://www.gridpma.org/
Group: Security/Certificates
AutoReqProv: no
Requires: ca_GEANTTCSAuthenticationECCCA5 = 1.134, ca_GEANTTCSAuthenticationECCCA4B = 1.134, ca_GEANTTCSAuthenticationRSACA5 = 1.134, ca_HPCI = 1.134, ca_GEANTeSciencePersonalCA4 = 1.134, ca_GEANTTCSAuthenticationRSACA4B = 1.134, ca_GEANTeSciencePersonalECCCA4 = 1.134, ca_cilogon-silver = 1.134
Obsoletes: ca_TACC-MICS <= 1.134 ca_NCSA-mics <= 1.134 ca_TERENAeSciencePersonalCA3 <= 1.134

%description mics
This is the policy collection that contains all authorities 
accredited by the IGTF member PMAs according to the "mics"
Member-Integrated Credential Services Profile
Install this package if you are willing to trust CAs that are 
accredited by the the member PMAs under the "mics" profile.
Refer to the IGTF web site for the mics authentication profile.

%files mics
%defattr(644,root,root)
/etc/grid-security/certificates/policy-igtf-mics.info


%package iota
Summary: Identifier-Only Trust Assurance Services collection policy for the IGTF
URL: http://www.igtf.net/
Group: Security/Certificates
AutoReqProv: no
Requires: ca_cilogon-basic = 1.134, ca_RCauth-Pilot-ICA-G1 = 1.134
Obsoletes: ca_CERN-LCG-IOTA-CA <= 1.134

%description iota
This is the policy collection that contains all authorities 
accredited by the IGTF member PMAs according to the "IOTA"
Identifier-Only Trust Assurance Services Profile
Install this package if you are willing to trust CAs that are 
accredited by the the member PMAs under the "IOTA" profile.
Refer to the IGTF web site for the IOTA authentication profile.
Please note that the assurance level for IOTA is SIGNIFICANTLY
DIFFERENT from Clasic, MICS or SLCS, in that only limited 
traceability is provided and subject naming may be pseudonymous.

%files iota
%defattr(644,root,root)
/etc/grid-security/certificates/policy-igtf-iota.info

